drop support for Python 2.x